MediaWiki:Common.css: различия между версиями

мНет описания правки
мНет описания правки
Строка 4130: Строка 4130:
#highlighted-header.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: #3d3d4f;
background: var(--theme-bg-color-250);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 4139: Строка 4139:
/* Стили для последующих строк в таблицах с thead */
/* Стили для последующих строк в таблицах с thead */
#highlighted-header.wikitable thead + tbody > tr th {
#highlighted-header.wikitable thead + tbody > tr th {
background: #972626;
background: var(--bg-color-red-150);
border-bottom: 0.1em solid #00000059;
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
}
Строка 4148: Строка 4147:
#highlighted-header-classic.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-classic.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: #323240;
background: var(--theme-bg-color-250);
border-bottom: 0.2em solid #00000045;
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
}
}
Строка 4155: Строка 4154:
#highlighted-header-classic.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-classic.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-classic.wikitable thead + tbody > tr th {
#highlighted-header-classic.wikitable thead + tbody > tr th {
background: #3e3e4d;
background: var(--theme-bg-color-350);
border-bottom: 0.1em solid #0000000d;
border-left: 3px solid var(--color-darkened-border);
border-left: 0.2em solid #00000024;
}
}


Строка 4186: Строка 4184:
}
}


/* Серый заголовок и темно-красные ячейки */
/* Серый заголовок и темно-красные ячейки TODO: удалить */
#highlighted-header-dark.wikitable thead tr th,
#highlighted-header-dark.wikitable thead tr th,
#highlighted-header-dark.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-dark.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: #3d3d4f;
background: var(--theme-bg-color-350);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 4197: Строка 4195:
#highlighted-header-dark.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-dark.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-dark.wikitable thead + tbody > tr th {
#highlighted-header-dark.wikitable thead + tbody > tr th {
background: #8d2121;
background: var(--bg-color-red-150);
border-bottom: 0.1em solid #00000059;
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
}


/* Палитра для Морпехов */
/* Палитра для Морпехов TODO: палитра в переменных */
#highlighted-header-CM.wikitable thead tr th,
#highlighted-header-CM.wikitable thead tr th,
#highlighted-header-CM.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-CM.wikitable:not(:has(thead)) tr:first-of-type th {
Строка 4214: Строка 4211:
#highlighted-header-CM.wikitable thead + tbody > tr th {
#highlighted-header-CM.wikitable thead + tbody > tr th {
background: #355f54;
background: #355f54;
border-bottom: 0.1em solid #00000059;
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
}


/* Палитра для Ксеноморфов */
/* Палитра для Ксеноморфов TODO: палитра в переменных */
#highlighted-header-xenomorph.wikitable thead tr th,
#highlighted-header-xenomorph.wikitable thead tr th,
#highlighted-header-xenomorph.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-xenomorph.wikitable:not(:has(thead)) tr:first-of-type th {
Строка 4230: Строка 4226:
#highlighted-header-xenomorph.wikitable thead + tbody > tr th {
#highlighted-header-xenomorph.wikitable thead + tbody > tr th {
background: #5d1c55;
background: #5d1c55;
border-bottom: 0.1em solid #00000059;
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
}